/*
 * STM32F4xx_Framework V1.0
 * @file 	stm32f4xx_Framework.h
 * @brief	This is the unique include file for the STM32F4xx_Framework
 */


/*
 * Supported Devices:
 * 	STM32F40X
 * 	STM32F41X
 *
 * 	This Framework does the minimal configuration of the controller.
 * 	It defines all registers, bits and macros, initializes the Stack and sets up the Vector Table.
 * 	If needed it enables the FPU  and/or sets up the clocks to maximum speed.
 * 	It includes also the CMSIS and the ST Standard Peripheral Library to your project.
 * 	You can configure the Framework according to your application in stm32f4xx_FrameworkConfig.h.
 */


/*----------Define to prevent recursive inclusion-----------------------------*/
#ifndef __STM32F4XX_FRAMEWORK_H
#define __STM32F4XX_FRAMEWORK_H


/*----------Include----------------------------------------------------------*/
#include "stm32f4xx.h"

#endif
